/*--------------------------------------------------------------------------*/

#ifndef _H_LIGHT
#define _H_LIGHT

#define LIGHT_MAX		(16)				/* ライト数						*/
/*--------------------------------------------------------------------------*/

typedef struct {
	short		used;						/* 使用中						*/
	short		mode;						/* ライトの種類					*/
	float		world_x;					/* Ｘ位置						*/
	float		world_y;					/* Ｙ位置						*/
	float		ox;							/* Ｘオフセット					*/
	float		oy;							/* Ｙオフセット					*/
	float		diff_a;						/* 拡散光α						*/
	float		diff_r;						/* 拡散光Ｒ						*/
	float		diff_g;						/* 拡散光Ｇ						*/
	float		diff_b;						/* 拡散光Ｂ						*/
	float		dx;							/* 方向							*/
	float		dy;							/* 方向							*/
	float		range;						/* レンジ						*/
} LIGHT;

extern LIGHT *lt[];
/*--------------------------------------------------------------------------*/
extern void ltInit(void);
extern void ltExit(void);
extern short ltCreate(long md);
extern short ltFree(u_long Handle);
extern short ltSetInten(u_long Handle,u_long diff);
extern short ltSetDir(u_long Handle,u_long dir);
extern short ltSetRange(u_long Handle,u_long range);
extern short ltSetOffset(u_long Handle,long ox,long oy);
extern short ltDraw(u_long Handle, OBJECT *obj);
/*--------------------------------------------------------------------------*/
#endif
